# dkim_sig_setdnssec()

[back to index]

SYNOPSIS |
    #include <dkim.h>

    void dkim_sig_setdnssec(
    	DKIM_SIGINFO *sig,
    	int dnssec_status
    );
Store the DNSSEC result for a specified signature.
DESCRIPTION |
Called When | `dkim_sig_setdnssec()` can be called by any caller-provided DNS function to indicate the result of DNSSEC evaluation of a key record.
ARGUMENTS |
Argument | Description
--- | ---
sig | Signature-specific handle.
dnssec_status | A valid DNSSEC result code. any unrecognized value will be treated as `DKIM_DNSSEC_UNKNOWN`.
NOTES | None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2014, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.